Package org.opensaml.messaging.handler

# Interface MessageHandlerChain

All Superinterfaces:
  `Component`, `InitializableComponent`, `MessageHandler`

All Known Implementing Classes:
  `BasicMessageHandlerChain`

public interface MessageHandlerChain extends MessageHandler
A specialization of `MessageHandler` which represents an ordered list of message handlers which may be invoked in order.

## Method Summary

Modifier and Type
Method
Description
`List<MessageHandler>`
`getHandlers()`
Get the ordered list of message handlers which comprise the handler chain.

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface org.opensaml.messaging.handler.MessageHandler

`invoke`

## Method Details

### getHandlers

@NonnullAfterInit @Unmodifiable @NotLive List<MessageHandler> getHandlers()
Get the ordered list of message handlers which comprise the handler chain.

Returns:
  the list of members of the handler chain